Closed Bug 1414825 Opened 2 years ago Closed 2 years ago

Intermittent GECKO(1290) | Assertion failure: [GFX1]: Texture deallocated too late during shutdown, at /builds/worker/workspace/build/src/gfx/2d/Logging.h:521

Categories

(Core :: Graphics, defect, P3)

defect

Tracking

()

RESOLVED FIXED
mozilla60
Tracking Status
firefox-esr52 --- unaffected
firefox58 --- unaffected
firefox59 --- wontfix
firefox60 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: tnikkel)

References

Details

(Keywords: assertion, intermittent-failure, Whiteboard: [gfx-noted][stockwell unknown])

Attachments

(2 files, 1 obsolete file)

Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=142366877&repo=autoland

https://queue.taskcluster.net/v1/task/TtqSXhPaRAm4YxjOkDNmqg/runs/0/artifacts/public/logs/live_backing.log

See also bug 1410829.

[task 2017-11-06T10:40:52.961Z] 10:40:52     INFO - TEST-OK | dom/canvas/test/test_toDataURL_parameters.html | took 192ms
[task 2017-11-06T10:40:52.999Z] 10:40:52     INFO - GECKO(1290) | ++DOMWINDOW == 54 (0x7f85a2353000) [pid = 1339] [serial = 246] [outer = 0x7f85a8acd000]
[task 2017-11-06T10:40:53.040Z] 10:40:53     INFO - TEST-START | dom/canvas/test/test_windingRuleUndefined.html
[task 2017-11-06T10:40:53.198Z] 10:40:53     INFO - GECKO(1290) | ++DOMWINDOW == 55 (0x7f859497e000) [pid = 1339] [serial = 247] [outer = 0x7f85a8acd000]
[task 2017-11-06T10:40:53.247Z] 10:40:53     INFO - GECKO(1290) | MEMORY STAT | vsize 1954MB | residentFast 187MB | heapAllocated 61MB
[task 2017-11-06T10:40:53.272Z] 10:40:53     INFO - TEST-OK | dom/canvas/test/test_windingRuleUndefined.html | took 231ms
[task 2017-11-06T10:40:53.320Z] 10:40:53     INFO - GECKO(1290) | ++DOMWINDOW == 56 (0x7f85a1679000) [pid = 1339] [serial = 248] [outer = 0x7f85a8acd000]
[task 2017-11-06T10:40:53.399Z] 10:40:53     INFO - TEST-START | Shutdown
[task 2017-11-06T10:40:53.399Z] 10:40:53     INFO - Passed:  17232
[task 2017-11-06T10:40:53.399Z] 10:40:53     INFO - Failed:  0
[task 2017-11-06T10:40:53.399Z] 10:40:53     INFO - Todo:    125
[task 2017-11-06T10:40:53.400Z] 10:40:53     INFO - Mode:    e10s
[task 2017-11-06T10:40:53.400Z] 10:40:53     INFO - Slowest: 12953ms - /tests/dom/canvas/test/test_capture.html
[task 2017-11-06T10:40:53.401Z] 10:40:53     INFO - SimpleTest FINISHED
[task 2017-11-06T10:40:53.402Z] 10:40:53     INFO - TEST-INFO | Ran 1 Loops
[task 2017-11-06T10:40:53.403Z] 10:40:53     INFO - SimpleTest FINISHED
[task 2017-11-06T10:40:53.440Z] 10:40:53     INFO - GECKO(1290) | ++DOMWINDOW == 57 (0x7f85a0e95800) [pid = 1339] [serial = 249] [outer = 0x7f85a8acd000]
[task 2017-11-06T10:40:53.840Z] 10:40:53     INFO - GECKO(1290) | [Parent 1290, Main Thread] WARNING: A runnable was posted to a worker that is already shutting down!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2957
[task 2017-11-06T10:40:53.840Z] 10:40:53     INFO - GECKO(1290) | [Parent 1290, Main Thread] WARNING: Failed to dispatch offline status change event!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3608
[task 2017-11-06T10:40:54.325Z] 10:40:54     INFO - GECKO(1290) | --DOCSHELL 0x7f8457312000 == 2 [pid = 1290] [id = {18311908-cbfb-4221-b3f0-dcfb90c3ab82}]
[task 2017-11-06T10:40:54.326Z] 10:40:54     INFO - GECKO(1290) | --DOCSHELL 0x7f844b717800 == 1 [pid = 1290] [id = {b82f9f5c-d72a-4476-8b03-f7b135cd8cfe}]
[task 2017-11-06T10:40:54.327Z] 10:40:54     INFO - GECKO(1290) | --DOCSHELL 0x7f844e377000 == 0 [pid = 1290] [id = {8f124dc4-7aa1-4393-8a16-d54a6875f82b}]
[task 2017-11-06T10:40:54.442Z] 10:40:54     INFO - GECKO(1290) | [Child 1372, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 795
[task 2017-11-06T10:40:54.450Z] 10:40:54     INFO - GECKO(1290) | [Child 1372, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-11-06T10:40:54.593Z] 10:40:54     INFO - GECKO(1290) | [Child 1372, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-11-06T10:40:54.593Z] 10:40:54     INFO - GECKO(1290) | [Child 1372, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-11-06T10:40:54.629Z] 10:40:54     INFO - GECKO(1290) | [Child 1372, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-11-06T10:40:54.665Z] 10:40:54     INFO - GECKO(1290) | nsStringStats
[task 2017-11-06T10:40:54.666Z] 10:40:54     INFO - GECKO(1290) |  => mAllocCount:          14173
[task 2017-11-06T10:40:54.667Z] 10:40:54     INFO - GECKO(1290) |  => mReallocCount:           56
[task 2017-11-06T10:40:54.668Z] 10:40:54     INFO - GECKO(1290) |  => mFreeCount:           14173
[task 2017-11-06T10:40:54.669Z] 10:40:54     INFO - GECKO(1290) |  => mShareCount:           4571
[task 2017-11-06T10:40:54.670Z] 10:40:54     INFO - GECKO(1290) |  => mAdoptCount:            325
[task 2017-11-06T10:40:54.671Z] 10:40:54     INFO - GECKO(1290) |  => mAdoptFreeCount:        325
[task 2017-11-06T10:40:54.672Z] 10:40:54     INFO - GECKO(1290) |  => Process ID: 1372, Thread ID: 139660716033856
[task 2017-11-06T10:40:54.709Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.711Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.711Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.712Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.713Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.715Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.716Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.717Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.718Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.720Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.721Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.722Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.723Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.724Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.726Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.728Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.730Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.731Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.734Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.735Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.736Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.737Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.738Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.743Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.744Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.745Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.748Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.749Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.750Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.753Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.754Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.755Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.756Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.757Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.759Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.760Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.761Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.763Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.764Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.767Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.767Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.768Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.769Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.771Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.771Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.772Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:54.774Z] 10:40:54     INFO - GECKO(1290) | ###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2017-11-06T10:40:54.775Z] 10:40:54     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:55.147Z] 10:40:55     INFO - GECKO(1290) | 1509964855139	Marionette	DEBUG	Received observer notification "xpcom-shutdown"
[task 2017-11-06T10:40:55.148Z] 10:40:55     INFO - GECKO(1290) | 1509964855140	Marionette	DEBUG	New connections will no longer be accepted
[task 2017-11-06T10:40:55.469Z] 10:40:55     INFO - GECKO(1290) | --DOMWINDOW == 56 (0x7f85a03ab000) [pid = 1339] [serial = 224] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/imagebitmap_structuredclone_iframe.html]
[task 2017-11-06T10:40:55.469Z] 10:40:55     INFO - GECKO(1290) | --DOMWINDOW == 55 (0x7f85a038f800) [pid = 1339] [serial = 214] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/imagebitmap_extensions.html]
[task 2017-11-06T10:40:55.473Z] 10:40:55     INFO - GECKO(1290) | --DOMWINDOW == 54 (0x7f85a5f2a800) [pid = 1339] [serial = 193] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/file_drawWindow_source.html]
[task 2017-11-06T10:40:55.511Z] 10:40:55     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 795
[task 2017-11-06T10:40:55.870Z] 10:40:55     INFO - GECKO(1290) | [Parent 1290, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 795
[task 2017-11-06T10:40:55.872Z] 10:40:55     INFO - GECKO(1290) | [Parent 1290, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 795
[task 2017-11-06T10:40:56.181Z] 10:40:56     INFO - GECKO(1290) | --DOCSHELL 0x7f85a03aa000 == 2 [pid = 1339] [id = {41309233-af41-459d-9eca-289c60780bc3}]
[task 2017-11-06T10:40:56.184Z] 10:40:56     INFO - GECKO(1290) | --DOCSHELL 0x7f85ad528000 == 1 [pid = 1339] [id = {3e0df054-6174-4c25-a56b-56d9d150e6ae}]
[task 2017-11-06T10:40:56.189Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 53 (0x7f85a0dc0000) [pid = 1339] [serial = 240] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.192Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 52 (0x7f8595f08000) [pid = 1339] [serial = 218] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.196Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 51 (0x7f8595f06800) [pid = 1339] [serial = 220] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.196Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 50 (0x7f85a0db1800) [pid = 1339] [serial = 222] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.196Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 49 (0x7f85a0da7800) [pid = 1339] [serial = 225] [outer = (nil)] [url = about:blank]
[task 2017-11-06T10:40:56.196Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 48 (0x7f859497d000) [pid = 1339] [serial = 217] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/test_imagebitmap_extensions_on_worker.html]
[task 2017-11-06T10:40:56.197Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 47 (0x7f85a0e86000) [pid = 1339] [serial = 226] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.197Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 46 (0x7f85a0376000) [pid = 1339] [serial = 228] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.197Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 45 (0x7f85a1671800) [pid = 1339] [serial = 238] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.204Z] 10:40:56     INFO - GECKO(1290) | --DOMWINDOW == 44 (0x7f85a15a5800) [pid = 1339] [serial = 236] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-11-06T10:40:56.205Z] 10:40:56     INFO - GECKO(1290) | ###!!! [Child][MessageChannel] Error: (msgtype=0x2C00C4,name=PContent::Msg_GraphicsError) Closed channel: cannot send/recv
[task 2017-11-06T10:40:56.206Z] 10:40:56     INFO - GECKO(1290) | [Child 1339, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2365
[task 2017-11-06T10:40:56.207Z] 10:40:56     INFO - GECKO(1290) | [GFX1]: Texture deallocated too late during shutdown
[task 2017-11-06T10:40:56.208Z] 10:40:56     INFO - GECKO(1290) | Assertion failure: [GFX1]: Texture deallocated too late during shutdown, at /builds/worker/workspace/build/src/gfx/2d/Logging.h:521
[task 2017-11-06T10:41:28.445Z] 10:41:28     INFO - GECKO(1290) | #01: mozilla::gfx::Log<1, mozilla::gfx::CriticalLogger>::~Log [gfx/2d/Logging.h:525]
[task 2017-11-06T10:41:28.446Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.446Z] 10:41:28     INFO - GECKO(1290) | #02: mozilla::layers::DeallocateTextureClient [gfx/layers/client/TextureClient.cpp:331]
[task 2017-11-06T10:41:28.447Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.447Z] 10:41:28     INFO - GECKO(1290) | #03: mozilla::layers::TextureClient::Destroy [gfx/layers/client/TextureClient.cpp:431]
[task 2017-11-06T10:41:28.448Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.448Z] 10:41:28     INFO - GECKO(1290) | #04: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:618]
[task 2017-11-06T10:41:28.449Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.449Z] 10:41:28     INFO - GECKO(1290) | #05: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:625]
[task 2017-11-06T10:41:28.450Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.450Z] 10:41:28     INFO - GECKO(1290) | #06: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:145]
[task 2017-11-06T10:41:28.451Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.451Z] 10:41:28     INFO - GECKO(1290) | #07: mozilla::layers::TextureClientHolder::Release [memory/mozalloc/mozalloc.h:230]
[task 2017-11-06T10:41:28.452Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.452Z] 10:41:28     INFO - GECKO(1290) | #08: mozilla::layers::TextureClientRecycleAllocator::RecycleTextureClient [mfbt/RefPtr.h:41]
[task 2017-11-06T10:41:28.453Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.453Z] 10:41:28     INFO - GECKO(1290) | #09: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:154]
[task 2017-11-06T10:41:28.454Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.454Z] 10:41:28     INFO - GECKO(1290) | #10: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::RemoveElementsAt [gfx/layers/client/ImageClient.h:110]
[task 2017-11-06T10:41:28.455Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.455Z] 10:41:28     INFO - GECKO(1290) | #11: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::~nsTArray_Impl [xpcom/ds/nsTArray.h:887]
[task 2017-11-06T10:41:28.455Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.456Z] 10:41:28     INFO - GECKO(1290) | #12: mozilla::layers::ImageClientSingle::~ImageClientSingle [gfx/layers/client/ImageClient.h:50]
[task 2017-11-06T10:41:28.456Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.457Z] 10:41:28     INFO - GECKO(1290) | #13: mozilla::layers::ImageClientSingle::~ImageClientSingle [gfx/layers/client/ImageClient.h:88]
[task 2017-11-06T10:41:28.457Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.458Z] 10:41:28     INFO - GECKO(1290) | #14: mozilla::layers::CompositableClient::Release [gfx/layers/client/CompositableClient.h:76]
[task 2017-11-06T10:41:28.458Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.459Z] 10:41:28     INFO - GECKO(1290) | #15: mozilla::layers::SharedPlanarYCbCrImage::~SharedPlanarYCbCrImage [gfx/layers/ipc/SharedPlanarYCbCrImage.cpp:37]
[task 2017-11-06T10:41:28.459Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.460Z] 10:41:28     INFO - GECKO(1290) | #16: mozilla::layers::SharedPlanarYCbCrImage::~SharedPlanarYCbCrImage [gfx/layers/ipc/SharedPlanarYCbCrImage.cpp:39]
[task 2017-11-06T10:41:28.460Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.461Z] 10:41:28     INFO - GECKO(1290) | #17: mozilla::layers::Image::Release [gfx/layers/ImageContainer.h:200]
[task 2017-11-06T10:41:28.461Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.462Z] 10:41:28     INFO - GECKO(1290) | #18: mozilla::dom::ImageBitmap::~ImageBitmap [dom/canvas/ImageBitmap.cpp:413]
[task 2017-11-06T10:41:28.462Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.463Z] 10:41:28     INFO - GECKO(1290) | #19: mozilla::dom::ImageBitmap::~ImageBitmap [dom/canvas/ImageBitmap.cpp:415]
[task 2017-11-06T10:41:28.463Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.464Z] 10:41:28     INFO - GECKO(1290) | #20: SnowWhiteKiller::~SnowWhiteKiller [xpcom/base/nsCycleCollector.cpp:2729]
[task 2017-11-06T10:41:28.464Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.465Z] 10:41:28     INFO - GECKO(1290) | #21: nsCycleCollector::FreeSnowWhite [xpcom/base/nsCycleCollector.cpp:2909]
[task 2017-11-06T10:41:28.466Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.466Z] 10:41:28     INFO - GECKO(1290) | #22: nsCycleCollector::BeginCollection [xpcom/base/nsCycleCollector.cpp:3928]
[task 2017-11-06T10:41:28.467Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.468Z] 10:41:28     INFO - GECKO(1290) | #23: nsCycleCollector::Collect [xpcom/base/nsCycleCollector.cpp:3746]
[task 2017-11-06T10:41:28.470Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.471Z] 10:41:28     INFO - GECKO(1290) | #24: nsCycleCollector::ShutdownCollect [xpcom/base/nsCycleCollector.cpp:3687]
[task 2017-11-06T10:41:28.471Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.473Z] 10:41:28     INFO - GECKO(1290) | #25: nsCycleCollector_shutdown [mfbt/RefPtr.h:63]
[task 2017-11-06T10:41:28.473Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.474Z] 10:41:28     INFO - GECKO(1290) | #26: mozilla::ShutdownXPCOM [xpcom/build/XPCOMInit.cpp:975]
[task 2017-11-06T10:41:28.475Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.476Z] 10:41:28     INFO - GECKO(1290) | #27: XRE_TermEmbedding [toolkit/xre/nsEmbedFunctions.cpp:225]
[task 2017-11-06T10:41:28.477Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.477Z] 10:41:28     INFO - GECKO(1290) | #28: mozilla::ipc::ScopedXREEmbed::Stop [ipc/glue/ScopedXREEmbed.cpp:109]
[task 2017-11-06T10:41:28.478Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.479Z] 10:41:28     INFO - GECKO(1290) | #29: XRE_InitChildProcess [toolkit/xre/nsEmbedFunctions.cpp:708]
[task 2017-11-06T10:41:28.480Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.562Z] 10:41:28     INFO - GECKO(1290) | #30: content_process_main [ipc/contentproc/plugin-container.cpp:65]
[task 2017-11-06T10:41:28.562Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.562Z] 10:41:28     INFO - GECKO(1290) | #31: main [browser/app/nsBrowserApp.cpp:283]
[task 2017-11-06T10:41:28.562Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.562Z] 10:41:28     INFO - GECKO(1290) | #32: libc.so.6 + 0x20830
[task 2017-11-06T10:41:28.563Z] 10:41:28     INFO - 
[task 2017-11-06T10:41:28.563Z] 10:41:28     INFO - GECKO(1290) | #33: _start
Whiteboard: [gfx-noted]
This has failed 31 times in the last 7 days on Linux x64 debug, linux32-stylo-disabled	debug, linux64-stylo-disabled	debug,  OS X 10.10 debug, Windows 7 debug, windows10-64	debug and windows10-64-ccov debug. 

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=150946730&lineNumber=3183

[task 2017-12-09T00:07:45.221Z] 00:07:45     INFO - TEST-START | Shutdown
[task 2017-12-09T00:07:45.222Z] 00:07:45     INFO - Passed:  17232
[task 2017-12-09T00:07:45.222Z] 00:07:45     INFO - Failed:  0
[task 2017-12-09T00:07:45.222Z] 00:07:45     INFO - Todo:    125
[task 2017-12-09T00:07:45.223Z] 00:07:45     INFO - Mode:    e10s
[task 2017-12-09T00:07:45.224Z] 00:07:45     INFO - Slowest: 12710ms - /tests/dom/canvas/test/test_capture.html
[task 2017-12-09T00:07:45.240Z] 00:07:45     INFO - SimpleTest FINISHED
[task 2017-12-09T00:07:45.240Z] 00:07:45     INFO - TEST-INFO | Ran 1 Loops
[task 2017-12-09T00:07:45.241Z] 00:07:45     INFO - SimpleTest FINISHED
[task 2017-12-09T00:07:45.262Z] 00:07:45     INFO - GECKO(1078) | ++DOMWINDOW == 58 (0x7f2e2e2f9800) [pid = 1130] [serial = 249] [outer = 0x7f2e45b10850]
[task 2017-12-09T00:07:45.627Z] 00:07:45     INFO - GECKO(1078) | [Parent 1078, Main Thread] WARNING: A runnable was posted to a worker that is already shutting down!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2973
[task 2017-12-09T00:07:45.628Z] 00:07:45     INFO - GECKO(1078) | [Parent 1078, Main Thread] WARNING: Failed to dispatch offline status change event!: file /builds/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3624
[task 2017-12-09T00:07:46.259Z] 00:07:46     INFO - GECKO(1078) | --DOCSHELL 0x7fd758398800 == 2 [pid = 1078] [id = {4e51fcdf-7c71-434e-bea5-739117e51d95}]
[task 2017-12-09T00:07:46.300Z] 00:07:46     INFO - GECKO(1078) | --DOCSHELL 0x7fd75ed3c800 == 1 [pid = 1078] [id = {4c44d224-b57f-4516-b492-a6a4f9c97929}]
[task 2017-12-09T00:07:46.316Z] 00:07:46     INFO - GECKO(1078) | --DOCSHELL 0x7fd754e73000 == 0 [pid = 1078] [id = {6fb6c0d1-7624-4aca-a495-dc43358ad0fa}]
[task 2017-12-09T00:07:46.353Z] 00:07:46     INFO - GECKO(1078) | [Child 1179, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 791
[task 2017-12-09T00:07:46.353Z] 00:07:46     INFO - GECKO(1078) | [Child 1179, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-12-09T00:07:46.611Z] 00:07:46     INFO - GECKO(1078) | [Child 1179, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-12-09T00:07:46.613Z] 00:07:46     INFO - GECKO(1078) | [Child 1179, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-12-09T00:07:46.669Z] 00:07:46     INFO - GECKO(1078) | [Child 1179, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2017-12-09T00:07:46.713Z] 00:07:46     INFO - GECKO(1078) | nsStringStats
[task 2017-12-09T00:07:46.714Z] 00:07:46     INFO - GECKO(1078) |  => mAllocCount:          13180
[task 2017-12-09T00:07:46.714Z] 00:07:46     INFO - GECKO(1078) |  => mReallocCount:           68
[task 2017-12-09T00:07:46.714Z] 00:07:46     INFO - GECKO(1078) |  => mFreeCount:           13180
[task 2017-12-09T00:07:46.714Z] 00:07:46     INFO - GECKO(1078) |  => mShareCount:           4078
[task 2017-12-09T00:07:46.714Z] 00:07:46     INFO - GECKO(1078) |  => mAdoptCount:            340
[task 2017-12-09T00:07:46.714Z] 00:07:46     INFO - GECKO(1078) |  => mAdoptFreeCount:        340
[task 2017-12-09T00:07:46.715Z] 00:07:46     INFO - GECKO(1078) |  => Process ID: 1179, Thread ID: 139997101156160
[task 2017-12-09T00:07:46.978Z] 00:07:46     INFO - GECKO(1078) | 1512778066968	Marionette	DEBUG	Received observer notification "xpcom-shutdown"
[task 2017-12-09T00:07:46.979Z] 00:07:46     INFO - GECKO(1078) | 1512778066969	Marionette	DEBUG	New connections will no longer be accepted
[task 2017-12-09T00:07:46.979Z] 00:07:46     INFO - GECKO(1078) | [Parent 1078, Main Thread] WARNING: NS_ENSURE_TRUE(mDB) failed: file /builds/worker/workspace/build/src/netwerk/cache/nsDiskCacheDeviceSQL.cpp, line 1426
[task 2017-12-09T00:07:47.161Z] 00:07:47     INFO - GECKO(1078) | --DOMWINDOW == 57 (0x7f2e45b138c0) [pid = 1130] [serial = 224] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/imagebitmap_structuredclone_iframe.html]
[task 2017-12-09T00:07:47.163Z] 00:07:47     INFO - GECKO(1078) | --DOMWINDOW == 56 (0x7f2e45b14840) [pid = 1130] [serial = 214] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/imagebitmap_extensions.html]
[task 2017-12-09T00:07:47.164Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: decoder=0x7f2e3d0ec800 state machine=0x7f2e3a1a6000
[task 2017-12-09T00:07:47.189Z] 00:07:47     INFO - GECKO(1078) | --DOMWINDOW == 55 (0x7f2e45b14080) [pid = 1130] [serial = 195] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/file_drawWindow_source.html]
[task 2017-12-09T00:07:47.198Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Enter: state machine=0x7f2e2deff0c0 reader=0x7f2e3b61db80
[task 2017-12-09T00:07:47.200Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: reader=0x7f2e39584000 shutdown demuxer=0x7f2e3cdd7090
[task 2017-12-09T00:07:47.201Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: pool=0x7f2e3b6e1200 count=1
[task 2017-12-09T00:07:47.202Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] operator(): pool=0x7f2e3b6e1200 shutdown=true count=0
[task 2017-12-09T00:07:47.203Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e39584000 shut down audio task queue
[task 2017-12-09T00:07:47.205Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e39584000 shut down video task queue
[task 2017-12-09T00:07:47.206Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] FinishShutdown: state machine=0x7f2e3a1a6000
[task 2017-12-09T00:07:47.207Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Unregister: decoder=0x7f2e3d0ec800, count=3
[task 2017-12-09T00:07:47.211Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: decoder=0x7f2e2d1ea400 state machine=0x7f2e3c9d7000
[task 2017-12-09T00:07:47.213Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: decoder=0x7f2e2f6f8c00 state machine=0x7f2e2e3f6000
[task 2017-12-09T00:07:47.213Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: decoder=0x7f2e3a6ecc00 state machine=0x7f2e472b2000
[task 2017-12-09T00:07:47.217Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Enter: state machine=0x7f2e2deff570 reader=0x7f2e3d21c820
[task 2017-12-09T00:07:47.220Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: reader=0x7f2e2d54a000 shutdown demuxer=0x7f2e40badaf0
[task 2017-12-09T00:07:47.221Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: pool=0x7f2e40bac6c0 count=1
[task 2017-12-09T00:07:47.222Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] operator(): pool=0x7f2e40bac6c0 shutdown=true count=0
[task 2017-12-09T00:07:47.222Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e2d54a000 shut down audio task queue
[task 2017-12-09T00:07:47.227Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e2d54a000 shut down video task queue
[task 2017-12-09T00:07:47.228Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] FinishShutdown: state machine=0x7f2e3c9d7000
[task 2017-12-09T00:07:47.228Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Enter: state machine=0x7f2e2deff4d0 reader=0x7f2e40b55700
[task 2017-12-09T00:07:47.230Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: reader=0x7f2e3c960000 shutdown demuxer=0x7f2e2deffad0
[task 2017-12-09T00:07:47.231Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: pool=0x7f2e472e3400 count=1
[task 2017-12-09T00:07:47.231Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] operator(): pool=0x7f2e472e3400 shutdown=true count=0
[task 2017-12-09T00:07:47.232Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e3c960000 shut down audio task queue
[task 2017-12-09T00:07:47.234Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e3c960000 shut down video task queue
[task 2017-12-09T00:07:47.235Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] FinishShutdown: state machine=0x7f2e2e3f6000
[task 2017-12-09T00:07:47.236Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Enter: state machine=0x7f2e2deff480 reader=0x7f2e40b979d0
[task 2017-12-09T00:07:47.238Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: reader=0x7f2e472a5000 shutdown demuxer=0x7f2e3d24ff50
[task 2017-12-09T00:07:47.239Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Shutdown: pool=0x7f2e4594cec0 count=1
[task 2017-12-09T00:07:47.240Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] operator(): pool=0x7f2e4594cec0 shutdown=true count=0
[task 2017-12-09T00:07:47.241Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e472a5000 shut down audio task queue
[task 2017-12-09T00:07:47.242Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] TearDownDecoders: reader=0x7f2e472a5000 shut down video task queue
[task 2017-12-09T00:07:47.244Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] FinishShutdown: state machine=0x7f2e472b2000
[task 2017-12-09T00:07:47.244Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Unregister: decoder=0x7f2e2d1ea400, count=2
[task 2017-12-09T00:07:47.245Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Unregister: decoder=0x7f2e2f6f8c00, count=1
[task 2017-12-09T00:07:47.247Z] 00:07:47     INFO - GECKO(1078) | [DEBUG SHUTDOWN] Unregister: decoder=0x7f2e3a6ecc00, count=0
[task 2017-12-09T00:07:47.284Z] 00:07:47     INFO - GECKO(1078) | [Child 1130, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 791
[task 2017-12-09T00:07:47.284Z] 00:07:47     INFO - GECKO(1078) | [Child 1130, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 791
[task 2017-12-09T00:07:47.666Z] 00:07:47     INFO - GECKO(1078) | [Parent 1078, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 791
[task 2017-12-09T00:07:48.045Z] 00:07:48     INFO - GECKO(1078) | --DOCSHELL 0x7f2e2b581000 == 2 [pid = 1130] [id = {467dbbdb-1f92-4762-bcbc-bcef6224314c}]
[task 2017-12-09T00:07:48.045Z] 00:07:48     INFO - GECKO(1078) | --DOCSHELL 0x7f2e45912000 == 1 [pid = 1130] [id = {aba79a17-da1a-4ea6-9805-d1eb59083e7a}]
[task 2017-12-09T00:07:48.053Z] 00:07:48     INFO - GECKO(1078) | --DOCSHELL 0x7f2e4586f800 == 0 [pid = 1130] [id = {89dbf053-795b-4687-b1c7-3eccd5713448}]
[task 2017-12-09T00:07:48.057Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 54 (0x7f2e2ec8c000) [pid = 1130] [serial = 222] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.057Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 53 (0x7f2e2ec88400) [pid = 1130] [serial = 220] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.057Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 52 (0x7f2e2ec8c800) [pid = 1130] [serial = 225] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:07:48.057Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 51 (0x7f2e2f6f5c00) [pid = 1130] [serial = 213] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/test_imagebitmap_extensions.html]
[task 2017-12-09T00:07:48.059Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 50 (0x7f2e2f6f8400) [pid = 1130] [serial = 215] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:07:48.059Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 49 (0x7f2e2d1e5c00) [pid = 1130] [serial = 216] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.060Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 48 (0x7f2e3a6ebc00) [pid = 1130] [serial = 211] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/test_imagebitmap_cropping.html]
[task 2017-12-09T00:07:48.060Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 47 (0x7f2e3d0f5000) [pid = 1130] [serial = 207] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/test_imagebitmap.html]
[task 2017-12-09T00:07:48.060Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 46 (0x7f2e3a6e9c00) [pid = 1130] [serial = 208] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.061Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 45 (0x7f2e40b73800) [pid = 1130] [serial = 197] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:07:48.065Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 44 (0x7f2e3a6e8800) [pid = 1130] [serial = 209] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/canvas/test/test_imagebitmap_close.html]
[task 2017-12-09T00:07:48.065Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 43 (0x7f2e3a6ed000) [pid = 1130] [serial = 210] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.066Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 42 (0x7f2e2f6f6800) [pid = 1130] [serial = 212] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.067Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 41 (0x7f2e2d1e6c00) [pid = 1130] [serial = 238] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.067Z] 00:07:48     INFO - GECKO(1078) | --DOMWINDOW == 40 (0x7f2e2ec86c00) [pid = 1130] [serial = 218] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2017-12-09T00:07:48.070Z] 00:07:48     INFO - GECKO(1078) | ###!!! [Child][MessageChannel] Error: (msgtype=0x2C00C3,name=PContent::Msg_GraphicsError) Closed channel: cannot send/recv
[task 2017-12-09T00:07:48.070Z] 00:07:48     INFO - GECKO(1078) | [Child 1130, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2356
[task 2017-12-09T00:07:48.071Z] 00:07:48     INFO - GECKO(1078) | [GFX1]: Texture deallocated too late during shutdown
[task 2017-12-09T00:07:48.073Z] 00:07:48     INFO - GECKO(1078) | Assertion failure: [GFX1]: Texture deallocated too late during shutdown, at /builds/worker/workspace/build/src/gfx/2d/Logging.h:521
[task 2017-12-09T00:08:22.488Z] 00:08:22     INFO - GECKO(1078) | #01: mozilla::gfx::Log<1, mozilla::gfx::CriticalLogger>::~Log [gfx/2d/Logging.h:525]
[task 2017-12-09T00:08:22.489Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.490Z] 00:08:22     INFO - GECKO(1078) | #02: mozilla::layers::DeallocateTextureClient [gfx/layers/client/TextureClient.cpp:331]
[task 2017-12-09T00:08:22.490Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.491Z] 00:08:22     INFO - GECKO(1078) | #03: mozilla::layers::TextureClient::Destroy [gfx/layers/client/TextureClient.cpp:431]
[task 2017-12-09T00:08:22.492Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.493Z] 00:08:22     INFO - GECKO(1078) | #04: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:618]
[task 2017-12-09T00:08:22.494Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.494Z] 00:08:22     INFO - GECKO(1078) | #05: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:625]
[task 2017-12-09T00:08:22.495Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.496Z] 00:08:22     INFO - GECKO(1078) | #06: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:145]
[task 2017-12-09T00:08:22.497Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.498Z] 00:08:22     INFO - GECKO(1078) | #07: mozilla::layers::TextureClientHolder::Release [memory/mozalloc/mozalloc.h:183]
[task 2017-12-09T00:08:22.498Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.499Z] 00:08:22     INFO - GECKO(1078) | #08: mozilla::layers::TextureClientRecycleAllocator::RecycleTextureClient [mfbt/RefPtr.h:41]
[task 2017-12-09T00:08:22.500Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.501Z] 00:08:22     INFO - GECKO(1078) | #09: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:154]
[task 2017-12-09T00:08:22.501Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.502Z] 00:08:22     INFO - GECKO(1078) | #10: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::RemoveElementsAt [gfx/layers/client/ImageClient.h:110]
[task 2017-12-09T00:08:22.503Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.503Z] 00:08:22     INFO - GECKO(1078) | #11: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::~nsTArray_Impl [xpcom/ds/nsTArray.h:855]
[task 2017-12-09T00:08:22.504Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.505Z] 00:08:22     INFO - GECKO(1078) | #12: mozilla::layers::ImageClientSingle::~ImageClientSingle [gfx/layers/client/ImageClient.h:50]
[task 2017-12-09T00:08:22.506Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.507Z] 00:08:22     INFO - GECKO(1078) | #13: mozilla::layers::ImageClientSingle::~ImageClientSingle [gfx/layers/client/ImageClient.h:88]
[task 2017-12-09T00:08:22.507Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.507Z] 00:08:22     INFO - GECKO(1078) | #14: mozilla::layers::CompositableClient::Release [gfx/layers/client/CompositableClient.h:76]
[task 2017-12-09T00:08:22.508Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.509Z] 00:08:22     INFO - GECKO(1078) | #15: mozilla::layers::SharedPlanarYCbCrImage::~SharedPlanarYCbCrImage [gfx/layers/ipc/SharedPlanarYCbCrImage.cpp:37]
[task 2017-12-09T00:08:22.510Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.510Z] 00:08:22     INFO - GECKO(1078) | #16: mozilla::layers::SharedPlanarYCbCrImage::~SharedPlanarYCbCrImage [gfx/layers/ipc/SharedPlanarYCbCrImage.cpp:39]
[task 2017-12-09T00:08:22.510Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.512Z] 00:08:22     INFO - GECKO(1078) | #17: mozilla::layers::Image::Release [gfx/layers/ImageContainer.h:200]
[task 2017-12-09T00:08:22.512Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.512Z] 00:08:22     INFO - GECKO(1078) | #18: mozilla::dom::ImageBitmap::~ImageBitmap [dom/canvas/ImageBitmap.cpp:416]
[task 2017-12-09T00:08:22.513Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.514Z] 00:08:22     INFO - GECKO(1078) | #19: mozilla::dom::ImageBitmap::~ImageBitmap [dom/canvas/ImageBitmap.cpp:418]
[task 2017-12-09T00:08:22.514Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.515Z] 00:08:22     INFO - GECKO(1078) | #20: SnowWhiteKiller::~SnowWhiteKiller [xpcom/base/nsCycleCollector.cpp:2724]
[task 2017-12-09T00:08:22.516Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.517Z] 00:08:22     INFO - GECKO(1078) | #21: nsCycleCollector::FreeSnowWhite [xpcom/base/nsCycleCollector.cpp:2904]
[task 2017-12-09T00:08:22.517Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.517Z] 00:08:22     INFO - GECKO(1078) | #22: nsCycleCollector::BeginCollection [xpcom/base/nsCycleCollector.cpp:3923]
[task 2017-12-09T00:08:22.518Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.519Z] 00:08:22     INFO - GECKO(1078) | #23: nsCycleCollector::Collect [xpcom/base/nsCycleCollector.cpp:3741]
[task 2017-12-09T00:08:22.519Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.519Z] 00:08:22     INFO - GECKO(1078) | #24: nsCycleCollector::ShutdownCollect [xpcom/base/nsCycleCollector.cpp:3682]
[task 2017-12-09T00:08:22.519Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.520Z] 00:08:22     INFO - GECKO(1078) | #25: nsCycleCollector_shutdown [mfbt/RefPtr.h:63]
[task 2017-12-09T00:08:22.520Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.520Z] 00:08:22     INFO - GECKO(1078) | #26: mozilla::ShutdownXPCOM [xpcom/build/XPCOMInit.cpp:971]
[task 2017-12-09T00:08:22.521Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.521Z] 00:08:22     INFO - GECKO(1078) | #27: XRE_TermEmbedding [toolkit/xre/nsEmbedFunctions.cpp:225]
[task 2017-12-09T00:08:22.521Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.521Z] 00:08:22     INFO - GECKO(1078) | #28: mozilla::ipc::ScopedXREEmbed::Stop [ipc/glue/ScopedXREEmbed.cpp:109]
[task 2017-12-09T00:08:22.522Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.522Z] 00:08:22     INFO - GECKO(1078) | #29: XRE_InitChildProcess [toolkit/xre/nsEmbedFunctions.cpp:696]
[task 2017-12-09T00:08:22.522Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.621Z] 00:08:22     INFO - GECKO(1078) | #30: content_process_main [ipc/contentproc/plugin-container.cpp:65]
[task 2017-12-09T00:08:22.622Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.622Z] 00:08:22     INFO - GECKO(1078) | #31: main [browser/app/nsBrowserApp.cpp:283]
[task 2017-12-09T00:08:22.623Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.625Z] 00:08:22     INFO - GECKO(1078) | #32: libc.so.6 + 0x20830
[task 2017-12-09T00:08:22.626Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.626Z] 00:08:22     INFO - GECKO(1078) | #33: _start
[task 2017-12-09T00:08:22.627Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.628Z] 00:08:22     INFO - GECKO(1078) | Hit MOZ_CRASH(GFX: An assert from the graphics logger) at /builds/worker/workspace/build/src/gfx/2d/Logging.h:522
[task 2017-12-09T00:08:22.630Z] 00:08:22     INFO - GECKO(1078) | #01: mozilla::gfx::Log<1, mozilla::gfx::CriticalLogger>::~Log [gfx/2d/Logging.h:525]
[task 2017-12-09T00:08:22.631Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.632Z] 00:08:22     INFO - GECKO(1078) | #02: mozilla::layers::DeallocateTextureClient [gfx/layers/client/TextureClient.cpp:331]
[task 2017-12-09T00:08:22.634Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.635Z] 00:08:22     INFO - GECKO(1078) | #03: mozilla::layers::TextureClient::Destroy [gfx/layers/client/TextureClient.cpp:431]
[task 2017-12-09T00:08:22.636Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.638Z] 00:08:22     INFO - GECKO(1078) | #04: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:618]
[task 2017-12-09T00:08:22.639Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.640Z] 00:08:22     INFO - GECKO(1078) | #05: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:625]
[task 2017-12-09T00:08:22.640Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.641Z] 00:08:22     INFO - GECKO(1078) | #06: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:145]
[task 2017-12-09T00:08:22.642Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.643Z] 00:08:22     INFO - GECKO(1078) | #07: mozilla::layers::TextureClientHolder::Release [memory/mozalloc/mozalloc.h:183]
[task 2017-12-09T00:08:22.643Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.644Z] 00:08:22     INFO - GECKO(1078) | #08: mozilla::layers::TextureClientRecycleAllocator::RecycleTextureClient [mfbt/RefPtr.h:41]
[task 2017-12-09T00:08:22.645Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.646Z] 00:08:22     INFO - GECKO(1078) | #09: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:154]
[task 2017-12-09T00:08:22.646Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.647Z] 00:08:22     INFO - GECKO(1078) | #10: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::RemoveElementsAt [gfx/layers/client/ImageClient.h:110]
[task 2017-12-09T00:08:22.648Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.649Z] 00:08:22     INFO - GECKO(1078) | #11: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::~nsTArray_Impl [xpcom/ds/nsTArray.h:855]
[task 2017-12-09T00:08:22.649Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.650Z] 00:08:22     INFO - GECKO(1078) | #12: mozilla::layers::ImageClientSingle::~ImageClientSingle [gfx/layers/client/ImageClient.h:50]
[task 2017-12-09T00:08:22.650Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.651Z] 00:08:22     INFO - GECKO(1078) | #13: mozilla::layers::ImageClientSingle::~ImageClientSingle [gfx/layers/client/ImageClient.h:88]
[task 2017-12-09T00:08:22.652Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.653Z] 00:08:22     INFO - GECKO(1078) | #14: mozilla::layers::CompositableClient::Release [gfx/layers/client/CompositableClient.h:76]
[task 2017-12-09T00:08:22.654Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.655Z] 00:08:22     INFO - GECKO(1078) | #15: mozilla::layers::SharedPlanarYCbCrImage::~SharedPlanarYCbCrImage [gfx/layers/ipc/SharedPlanarYCbCrImage.cpp:37]
[task 2017-12-09T00:08:22.655Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.656Z] 00:08:22     INFO - GECKO(1078) | #16: mozilla::layers::SharedPlanarYCbCrImage::~SharedPlanarYCbCrImage [gfx/layers/ipc/SharedPlanarYCbCrImage.cpp:39]
[task 2017-12-09T00:08:22.657Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.657Z] 00:08:22     INFO - GECKO(1078) | #17: mozilla::layers::Image::Release [gfx/layers/ImageContainer.h:200]
[task 2017-12-09T00:08:22.658Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.659Z] 00:08:22     INFO - GECKO(1078) | #18: mozilla::dom::ImageBitmap::~ImageBitmap [dom/canvas/ImageBitmap.cpp:416]
[task 2017-12-09T00:08:22.659Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.660Z] 00:08:22     INFO - GECKO(1078) | #19: mozilla::dom::ImageBitmap::~ImageBitmap [dom/canvas/ImageBitmap.cpp:418]
[task 2017-12-09T00:08:22.661Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.661Z] 00:08:22     INFO - GECKO(1078) | #20: SnowWhiteKiller::~SnowWhiteKiller [xpcom/base/nsCycleCollector.cpp:2724]
[task 2017-12-09T00:08:22.662Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.662Z] 00:08:22     INFO - GECKO(1078) | #21: nsCycleCollector::FreeSnowWhite [xpcom/base/nsCycleCollector.cpp:2904]
[task 2017-12-09T00:08:22.663Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.664Z] 00:08:22     INFO - GECKO(1078) | #22: nsCycleCollector::BeginCollection [xpcom/base/nsCycleCollector.cpp:3923]
[task 2017-12-09T00:08:22.664Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.664Z] 00:08:22     INFO - GECKO(1078) | #23: nsCycleCollector::Collect [xpcom/base/nsCycleCollector.cpp:3741]
[task 2017-12-09T00:08:22.665Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.665Z] 00:08:22     INFO - GECKO(1078) | #24: nsCycleCollector::ShutdownCollect [xpcom/base/nsCycleCollector.cpp:3682]
[task 2017-12-09T00:08:22.666Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.666Z] 00:08:22     INFO - GECKO(1078) | #25: nsCycleCollector_shutdown [mfbt/RefPtr.h:63]
[task 2017-12-09T00:08:22.666Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.667Z] 00:08:22     INFO - GECKO(1078) | #26: mozilla::ShutdownXPCOM [xpcom/build/XPCOMInit.cpp:971]
[task 2017-12-09T00:08:22.667Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.668Z] 00:08:22     INFO - GECKO(1078) | #27: XRE_TermEmbedding [toolkit/xre/nsEmbedFunctions.cpp:225]
[task 2017-12-09T00:08:22.668Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.669Z] 00:08:22     INFO - GECKO(1078) | #28: mozilla::ipc::ScopedXREEmbed::Stop [ipc/glue/ScopedXREEmbed.cpp:109]
[task 2017-12-09T00:08:22.669Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.670Z] 00:08:22     INFO - GECKO(1078) | #29: XRE_InitChildProcess [toolkit/xre/nsEmbedFunctions.cpp:696]
[task 2017-12-09T00:08:22.671Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.671Z] 00:08:22     INFO - GECKO(1078) | #30: content_process_main [ipc/contentproc/plugin-container.cpp:65]
[task 2017-12-09T00:08:22.672Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.673Z] 00:08:22     INFO - GECKO(1078) | #31: main [browser/app/nsBrowserApp.cpp:283]
[task 2017-12-09T00:08:22.673Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.673Z] 00:08:22     INFO - GECKO(1078) | #32: libc.so.6 + 0x20830
[task 2017-12-09T00:08:22.674Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.674Z] 00:08:22     INFO - GECKO(1078) | #33: _start
[task 2017-12-09T00:08:22.675Z] 00:08:22     INFO - 
[task 2017-12-09T00:08:22.675Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 7 (0x7fd758423400) [pid = 1078] [serial = 4] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:08:22.676Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 6 (0x7fd73e766800) [pid = 1078] [serial = 11] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:08:22.676Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 5 (0x7fd740549470) [pid = 1078] [serial = 10] [outer = (nil)] [url = chrome://browser/content/browser.xul]
[task 2017-12-09T00:08:22.677Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 4 (0x7fd76287e4e0) [pid = 1078] [serial = 6] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:08:22.678Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 3 (0x7fd76287d940) [pid = 1078] [serial = 1] [outer = (nil)] [url = resource://gre-resources/hiddenWindow.html]
[task 2017-12-09T00:08:22.678Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 2 (0x7fd75210f800) [pid = 1078] [serial = 9] [outer = (nil)] [url = about:blank]
[task 2017-12-09T00:08:22.679Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 1 (0x7fd76287e2f0) [pid = 1078] [serial = 3] [outer = (nil)] [url = chrome://browser/content/browser.xul]
[task 2017-12-09T00:08:22.679Z] 00:08:22     INFO - GECKO(1078) | --DOMWINDOW == 0 (0x7fd758426800) [pid = 1078] [serial = 5] [outer = (nil)] [url = resource://gre-resources/hiddenWindow.html]
[task 2017-12-09T00:08:22.680Z] 00:08:22     INFO - GECKO(1078) | nsStringStats
[task 2017-12-09T00:08:22.681Z] 00:08:22     INFO - GECKO(1078) |  => mAllocCount:         306244
[task 2017-12-09T00:08:22.681Z] 00:08:22     INFO - GECKO(1078) |  => mReallocCount:        21030
[task 2017-12-09T00:08:22.682Z] 00:08:22     INFO - GECKO(1078) |  => mFreeCount:          306244
[task 2017-12-09T00:08:22.682Z] 00:08:22     INFO - GECKO(1078) |  => mShareCount:         202606
[task 2017-12-09T00:08:22.683Z] 00:08:22     INFO - GECKO(1078) |  => mAdoptCount:           7506
[task 2017-12-09T00:08:22.683Z] 00:08:22     INFO - GECKO(1078) |  => mAdoptFreeCount:       7506
[task 2017-12-09T00:08:22.684Z] 00:08:22     INFO - GECKO(1078) |  => Process ID: 1078, Thread ID: 140563543512896
[task 2017-12-09T00:08:22.686Z] 00:08:22     INFO - TEST-INFO | Main app process: exit 0
[task 2017-12-09T00:08:22.686Z] 00:08:22     INFO - runtests.py | Application ran for: 0:02:10.648797
[task 2017-12-09T00:08:22.687Z] 00:08:22     INFO - zombiecheck | Reading PID log: /tmp/tmpBZNFLUpidlog
[task 2017-12-09T00:08:22.689Z] 00:08:22     INFO - ==> process 1078 launched child process 1102
[task 2017-12-09T00:08:22.690Z] 00:08:22     INFO - ==> process 1078 launched child process 1130
[task 2017-12-09T00:08:22.691Z] 00:08:22     INFO - ==> process 1078 launched child process 1179
[task 2017-12-09T00:08:22.691Z] 00:08:22     INFO - zombiecheck | Checking for orphan process with PID: 1130
[task 2017-12-09T00:08:22.692Z] 00:08:22     INFO - zombiecheck | Checking for orphan process with PID: 1179
[task 2017-12-09T00:08:22.693Z] 00:08:22     INFO - zombiecheck | Checking for orphan process with PID: 1102
[task 2017-12-09T00:08:22.695Z] 00:08:22     INFO - mozcrash Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpX0H9ml.mozrunner/minidumps/1ab5c681-0fa8-b91c-48fd-a306ce16210a.dmp /builds/worker/workspace/build/symbols
[task 2017-12-09T00:08:30.498Z] 00:08:30     INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/1ab5c681-0fa8-b91c-48fd-a306ce16210a.dmp
[task 2017-12-09T00:08:30.500Z] 00:08:30     INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/1ab5c681-0fa8-b91c-48fd-a306ce16210a.extra
[task 2017-12-09T00:08:30.529Z] 00:08:30     INFO - PROCESS-CRASH | Main app process exited normally | application crashed [@ mozilla::gfx::Log<3, mozilla::gfx::BasicLogger>::WriteLog]
[task 2017-12-09T00:08:30.534Z] 00:08:30     INFO - Crash dump filename: /tmp/tmpX0H9ml.mozrunner/minidumps/1ab5c681-0fa8-b91c-48fd-a306ce16210a.dmp
Flags: needinfo?(milan)
Whiteboard: [gfx-noted] → [stockwell needswork:owner]
Nical, what does this assertion mean?  Other than the obvious, that is - as in, where would you start looking for problems?
Flags: needinfo?(milan) → needinfo?(nical.bugzilla)
Whiteboard: [stockwell needswork:owner] → [stockwell needswork:owner][gfx-noted]
(In reply to Milan Sreckovic [:milan] from comment #7)
> Nical, what does this assertion mean?  Other than the obvious, that is - as
> in, where would you start looking for problems?

Sorry, I remember writing a reply but I must have failed to post it.

This is happening because something is holding on to graphics resources after the shutdown of gfx. In the majority of cases this is because the culprit is (or is held by) a cycle-collected object that ends up destroyed at the very end of the shutdown when the cycle collector itself is torn down (cf. SnowWhiteKiller in the stack). This bug is no different according to the stack. As far as I know, the various times we ran into similar issues (video and canvas related stuff), the fix was to maintain a list of live elements that hold on to graphics stuff and go through them before the shutdown of gfx in order to deinitialized them (or at least make them let go of textures and anything that smells like IPDL) in a dedicated shutdown phase happening in XPCOM's shutdown before the shutdown of gfx.
Flags: needinfo?(nical.bugzilla)
Assignee: nobody → tnikkel
Attached patch imagebitmapshutdown (obsolete) — Splinter Review
Here's a naive patch doing what nical suggested.
Attached patch imagebitSplinter Review
Attachment #8942834 - Flags: review?(kaku)
Comment on attachment 8942834 [details] [diff] [review]
imagebit

Not sure if I am still the right person to review ImageBitmap's patches since I have not touched this area for a long time.

Anyway, LGTM.
Attachment #8942834 - Flags: review?(kaku) → review+
Attachment #8942834 - Flags: review?(nical.bugzilla)
Attachment #8941019 - Attachment is obsolete: true
Attachment #8942834 - Flags: review?(nical.bugzilla) → review+
Pushed by tnikkel@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/13270722741b
Use a shutdown observer to release the gfx resources of ImageBitmaps. r=kaku,nical
https://hg.mozilla.org/mozilla-central/rev/13270722741b
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla60
Given that this just barely missed the cutoff for 59, would you be opposed to uplifting this to Beta?
Flags: needinfo?(tnikkel)
Keywords: assertion
Looks like we should probably clear the mDataWrapper field in ImageBitmap::Close as well.
Flags: needinfo?(tnikkel)
Attached patch cleardatawrapperSplinter Review
Attachment #8946841 - Flags: review?(nical.bugzilla)
Attachment #8946841 - Flags: review?(nical.bugzilla) → review+
Pushed by tnikkel@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/67a2b6b463e6
Clear mDataWrapper on ImageBitmap::Close because it holds gfx resources alive. r=nical
Target Milestone: mozilla60 → ---
https://hg.mozilla.org/mozilla-central/rev/67a2b6b463e6
Status: REOPENED → RESOLVED
Closed: 2 years ago2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla60
Please request uplift to beta when you get a chance.
Flags: needinfo?(tnikkel)
Flags: needinfo?(tnikkel)
This is still happening.

Fresh failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=176407987&repo=mozilla-inbound&lineNumber=6369

[task 2018-05-01T06:16:38.128Z] 06:16:38     INFO - TEST-START | dom/media/test/test_video_dimensions.html
[task 2018-05-01T06:16:38.169Z] 06:16:38     INFO - GECKO(1489) | --DOCSHELL 0x7f6b8a332800 == 2 [pid = 1542] [id = {00947c7c-ef95-4977-8d62-28e7558132c9}]
[task 2018-05-01T06:16:38.250Z] 06:16:38     INFO - GECKO(1489) | ++DOMWINDOW == 8 (0x7f6b8a278400) [pid = 1542] [serial = 688] [outer = 0x7f6b9ed6d400]
[task 2018-05-01T06:16:38.327Z] 06:16:38     INFO - GECKO(1489) | ++DOCSHELL 0x7f6b8a326800 == 3 [pid = 1542] [id = {d7db4585-42ca-4035-9d21-8800c43478a3}]
[task 2018-05-01T06:16:38.327Z] 06:16:38     INFO - GECKO(1489) | ++DOMWINDOW == 9 (0x7f6b8a28e400) [pid = 1542] [serial = 689] [outer = (nil)]
[task 2018-05-01T06:16:38.367Z] 06:16:38     INFO - GECKO(1489) | ++DOMWINDOW == 10 (0x7f6b8a290000) [pid = 1542] [serial = 690] [outer = 0x7f6b8a28e400]
[task 2018-05-01T06:16:40.525Z] 06:16:40     INFO - GECKO(1489) | [Child 1542, Main Thread] WARNING: Cannot query channel count on a AudioSegment with no chunks.: '!mChunks.IsEmpty()', file /builds/worker/workspace/build/src/dom/media/AudioSegment.h, line 424
[task 2018-05-01T06:16:41.059Z] 06:16:41     INFO - GECKO(1489) | --DOMWINDOW == 9 (0x7f6b8a277c00) [pid = 1542] [serial = 684] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/media/test/test_resolution_change.html]
[task 2018-05-01T06:16:41.059Z] 06:16:41     INFO - GECKO(1489) | --DOMWINDOW == 8 (0x7f6b8a28f000) [pid = 1542] [serial = 686] [outer = (nil)] [url = about:blank]
[task 2018-05-01T06:16:41.059Z] 06:16:41     INFO - GECKO(1489) | --DOMWINDOW == 7 (0x7f6b8a28e800) [pid = 1542] [serial = 685] [outer = (nil)] [url = about:blank]
[task 2018-05-01T06:16:41.060Z] 06:16:41     INFO - GECKO(1489) | --DOMWINDOW == 6 (0x7f6b8a275400) [pid = 1542] [serial = 687] [outer = (nil)] [url = http://mochi.test:8888/tests/SimpleTest/iframe-between-tests.html]
[task 2018-05-01T06:16:41.082Z] 06:16:41     INFO - GECKO(1489) | MEMORY STAT | vsize 1848MB | residentFast 178MB | heapAllocated 18MB
[task 2018-05-01T06:16:41.088Z] 06:16:41     INFO - TEST-OK | dom/media/test/test_video_dimensions.html | took 2965ms
[task 2018-05-01T06:16:41.117Z] 06:16:41     INFO - GECKO(1489) | ++DOMWINDOW == 7 (0x7f6b8a273c00) [pid = 1542] [serial = 691] [outer = 0x7f6b9ed6d400]
[task 2018-05-01T06:16:41.178Z] 06:16:41     INFO - TEST-START | Shutdown
[task 2018-05-01T06:16:41.187Z] 06:16:41     INFO - Passed:  8165
[task 2018-05-01T06:16:41.187Z] 06:16:41     INFO - Failed:  0
[task 2018-05-01T06:16:41.187Z] 06:16:41     INFO - Todo:    46
[task 2018-05-01T06:16:41.187Z] 06:16:41     INFO - Mode:    e10s
[task 2018-05-01T06:16:41.190Z] 06:16:41     INFO - Slowest: 117803ms - /tests/dom/media/test/test_playback.html
[task 2018-05-01T06:16:41.233Z] 06:16:41     INFO - SimpleTest FINISHED
[task 2018-05-01T06:16:41.233Z] 06:16:41     INFO - TEST-INFO | Ran 1 Loops
[task 2018-05-01T06:16:41.233Z] 06:16:41     INFO - SimpleTest FINISHED
[task 2018-05-01T06:16:41.275Z] 06:16:41     INFO - GECKO(1489) | ++DOMWINDOW == 8 (0x7f6b8a275400) [pid = 1542] [serial = 692] [outer = 0x7f6b9ed6d400]
[task 2018-05-01T06:16:41.351Z] 06:16:41     INFO - GECKO(1489) | --DOCSHELL 0x7f6b8a326800 == 2 [pid = 1542] [id = {d7db4585-42ca-4035-9d21-8800c43478a3}]
[task 2018-05-01T06:16:42.290Z] 06:16:42     INFO - GECKO(1489) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2018-05-01T06:16:42.299Z] 06:16:42     INFO - GECKO(1489) | --DOCSHELL 0x7fa1f6eb7800 == 4 [pid = 1489] [id = {788af9a5-d4db-44d1-a7fa-62ec0c066528}]
[task 2018-05-01T06:16:42.360Z] 06:16:42     INFO - GECKO(1489) | --DOCSHELL 0x7fa204cb2800 == 3 [pid = 1489] [id = {8d9b6c56-c683-4c59-b20a-be5a5374e712}]
[task 2018-05-01T06:16:42.376Z] 06:16:42     INFO - GECKO(1489) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2018-05-01T06:16:42.377Z] 06:16:42     INFO - GECKO(1489) | [Child 1599, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 805
[task 2018-05-01T06:16:42.384Z] 06:16:42     INFO - GECKO(1489) | [Child 1599, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-05-01T06:16:42.487Z] 06:16:42     INFO - GECKO(1489) | --DOCSHELL 0x7fa1f5dee800 == 2 [pid = 1489] [id = {b46a46e5-399e-41d6-81b4-ceca197f12a8}]
[task 2018-05-01T06:16:42.523Z] 06:16:42     INFO - GECKO(1489) | [Child 1599, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-05-01T06:16:42.524Z] 06:16:42     INFO - GECKO(1489) | [Child 1599, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-05-01T06:16:42.544Z] 06:16:42     INFO - GECKO(1489) | [Child 1599, Main Thread] WARNING: '!gThread', file /builds/worker/workspace/build/src/xpcom/threads/nsTimerImpl.cpp, line 399
[task 2018-05-01T06:16:42.548Z] 06:16:42     INFO - GECKO(1489) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2018-05-01T06:16:42.597Z] 06:16:42     INFO - GECKO(1489) | nsStringStats
[task 2018-05-01T06:16:42.597Z] 06:16:42     INFO - GECKO(1489) |  => mAllocCount:           9366
[task 2018-05-01T06:16:42.598Z] 06:16:42     INFO - GECKO(1489) |  => mReallocCount:          261
[task 2018-05-01T06:16:42.599Z] 06:16:42     INFO - GECKO(1489) |  => mFreeCount:            9366
[task 2018-05-01T06:16:42.599Z] 06:16:42     INFO - GECKO(1489) |  => mShareCount:           6199
[task 2018-05-01T06:16:42.599Z] 06:16:42     INFO - GECKO(1489) |  => mAdoptCount:            184
[task 2018-05-01T06:16:42.601Z] 06:16:42     INFO - GECKO(1489) |  => mAdoptFreeCount:        184
[task 2018-05-01T06:16:42.602Z] 06:16:42     INFO - GECKO(1489) |  => Process ID: 1599, Thread ID: 140547233118016
[task 2018-05-01T06:16:42.702Z] 06:16:42     INFO - GECKO(1489) | 1525155402689	Marionette	DEBUG	Received observer notification xpcom-will-shutdown
[task 2018-05-01T06:16:42.703Z] 06:16:42     INFO - GECKO(1489) | 1525155402689	Marionette	DEBUG	New connections will no longer be accepted
[task 2018-05-01T06:16:42.723Z] 06:16:42     INFO - GECKO(1489) | [Parent 1489, Main Thread] WARNING: NS_ENSURE_TRUE(mDB) failed: file /builds/worker/workspace/build/src/netwerk/cache/nsDiskCacheDeviceSQL.cpp, line 1424
[task 2018-05-01T06:16:42.863Z] 06:16:42     INFO - GECKO(1489) | [Parent 1489, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 805
[task 2018-05-01T06:16:42.864Z] 06:16:42     INFO - GECKO(1489) | [Child 1542, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 805
[task 2018-05-01T06:16:42.864Z] 06:16:42     INFO - GECKO(1489) | ###!!! [Child][MessageChannel] Error: (msgtype=0x2D00CD,name=PContent::Msg_GraphicsError) Closed channel: cannot send/recv
[task 2018-05-01T06:16:42.865Z] 06:16:42     INFO - GECKO(1489) | [Child 1542, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2388
[task 2018-05-01T06:16:42.865Z] 06:16:42     INFO - GECKO(1489) | [GFX1]: Texture deallocated too late during shutdown
[task 2018-05-01T06:16:42.867Z] 06:16:42     INFO - GECKO(1489) | Assertion failure: [GFX1]: Texture deallocated too late during shutdown, at /builds/worker/workspace/build/src/gfx/2d/Logging.h:727
[task 2018-05-01T06:17:16.255Z] 06:17:16     INFO - GECKO(1489) | #01: mozilla::gfx::Log<1, mozilla::gfx::CriticalLogger>::~Log [gfx/2d/Logging.h:731]
[task 2018-05-01T06:17:16.256Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.258Z] 06:17:16     INFO - GECKO(1489) | #02: mozilla::layers::DeallocateTextureClient [gfx/layers/client/TextureClient.cpp:331]
[task 2018-05-01T06:17:16.258Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.260Z] 06:17:16     INFO - GECKO(1489) | #03: mozilla::layers::TextureClient::Destroy [gfx/layers/client/TextureClient.cpp:433]
[task 2018-05-01T06:17:16.261Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.265Z] 06:17:16     INFO - GECKO(1489) | #04: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:622]
[task 2018-05-01T06:17:16.266Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.268Z] 06:17:16     INFO - GECKO(1489) | #05: mozilla::layers::TextureClient::~TextureClient [gfx/layers/client/TextureClient.cpp:629]
[task 2018-05-01T06:17:16.269Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.273Z] 06:17:16     INFO - GECKO(1489) | #06: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:145]
[task 2018-05-01T06:17:16.275Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.278Z] 06:17:16     INFO - GECKO(1489) | #07: mozilla::layers::TextureClientHolder::Release [memory/mozalloc/mozalloc.h:180]
[task 2018-05-01T06:17:16.279Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.280Z] 06:17:16     INFO - GECKO(1489) | #08: mozilla::layers::TextureClientRecycleAllocator::RecycleTextureClient [mfbt/RefPtr.h:41]
[task 2018-05-01T06:17:16.281Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.283Z] 06:17:16     INFO - GECKO(1489) | #09: mozilla::AtomicRefCountedWithFinalize<mozilla::layers::TextureClient>::Release [gfx/layers/AtomicRefCountedWithFinalize.h:154]
[task 2018-05-01T06:17:16.283Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.284Z] 06:17:16     INFO - GECKO(1489) | #10: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::ClearAndRetainStorage [gfx/layers/client/ImageClient.h:110]
[task 2018-05-01T06:17:16.284Z] 06:17:16     INFO - 
[task 2018-05-01T06:17:16.288Z] 06:17:16     INFO - GECKO(1489) | #11: nsTArray_Impl<mozilla::layers::ImageClientSingle::Buffer, nsTArrayInfallibleAllocator>::~nsTArray_Impl [xpcom/ds/nsTArray.h:868]
[task 2018-05-01T06:17:16.289Z] 06:17:16     INFO -
That looks like the media code is releasing the texture too late. I suggest filing a new bug. The fix for that will not be related to what was fixed in this bug.
In reply to Timothy Nikkel (:tnikkel) from comment #36)
> That looks like the media code is releasing the texture too late. I suggest
> filing a new bug. The fix for that will not be related to what was fixed in
> this bug.

Timothy: filed a new bug here https://bugzilla.mozilla.org/show_bug.cgi?id=1458166
Thank you!
You need to log in before you can comment on or make changes to this bug.